Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class AmountAndCurrencyExchangeDetails3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.AmountAndCurrencyExchangeDetails3

public class AmountAndCurrencyExchangeDetails3 extends Object

Java class for AmountAndCurrencyExchangeDetails3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountAndCurrencyExchangeDetails3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CcyXchg" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CurrencyExchange5" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActiveOrHistoricCurrencyAndAmount`
`amt`
`protected CurrencyExchange5`
`ccyXchg`

## Constructor Summary

Constructors
Constructor
Description
`AmountAndCurrencyExchangeDetails3()`

## Method Summary

Modifier and Type
Method
Description
`ActiveOrHistoricCurrencyAndAmount`
`getAmt()`
Gets the value of the amt property.
`CurrencyExchange5`
`getCcyXchg()`
Gets the value of the ccyXchg property.
`void`
`setAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the amt property.
`void`
`setCcyXchg(CurrencyExchange5 value)`
Sets the value of the ccyXchg property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### amt

protected ActiveOrHistoricCurrencyAndAmount amt

### ccyXchg

protected CurrencyExchange5 ccyXchg

## Constructor Details

### AmountAndCurrencyExchangeDetails3

public AmountAndCurrencyExchangeDetails3()

## Method Details

### getAmt

public ActiveOrHistoricCurrencyAndAmount getAmt()
Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setAmt

public void setAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getCcyXchg

public CurrencyExchange5 getCcyXchg()
Gets the value of the ccyXchg property.

Returns:
  possible object is `CurrencyExchange5`

### setCcyXchg

public void setCcyXchg(CurrencyExchange5 value)
Sets the value of the ccyXchg property.

Parameters:
  `value` - allowed object is `CurrencyExchange5`